Skip to main content
`Ctrl`+`K`

# TSGetEvaluationTimes

gets the evaluation times set with `TSSetEvaluationTimes()`

## Synopsis

    #include "petscts.h"
    PetscErrorCode TSGetEvaluationTimes(TS ts, PetscInt *n, const PetscReal *time_points[])

Not Collective

## Input Parameter

- ts - the time-stepper

## Output Parameters

- n - number of the time points

- time_points - array of the time points

## Note

The values obtained are valid until the `TS` object is destroyed.

Both `n` and `time_points` can be `NULL`.

Also used to see time points set by `TSSetTimeSpan()`.

## See Also

TS: Scalable ODE and DAE Solvers, `TS`, `TSSetEvaluationTimes()`, `TSGetEvaluationSolutions()`

## Level

beginner

## Location

src/ts/interface/ts.c

Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages